My Project: GLPatchTable Class Reference

| My Project

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
GLPatchTable Class Reference

`#include <glPatchTable.h>`

Inheritance diagram for GLPatchTable:

## Public Types
typedef GLuint | VertexBufferBinding

## Public Member Functions
| ~GLPatchTable ()
PatchArrayVector const & | GetPatchArrays () const
| Returns the patch arrays for vertex index buffer data. More...
GLuint | GetPatchIndexBuffer () const
| Returns the GL index buffer containing the patch control vertices. More...
GLuint | GetPatchParamBuffer () const
| Returns the GL index buffer containing the patch parameter. More...
GLuint | GetPatchIndexTextureBuffer () const
| Returns the GL texture buffer containing the patch control vertices. More...
GLuint | GetPatchParamTextureBuffer () const
| Returns the GL texture buffer containing the patch parameter. More...
PatchArrayVector const & | GetVaryingPatchArrays () const
| Returns the patch arrays for varying index buffer data. More...
GLuint | GetVaryingPatchIndexBuffer () const
| Returns the GL index buffer containing the varying control vertices. More...
GLuint | GetVaryingPatchIndexTextureBuffer () const
| Returns the GL texture buffer containing the varying control vertices. More...
int | GetNumFVarChannels () const
| Returns the number of face-varying channel buffers. More...
PatchArrayVector const & | GetFVarPatchArrays (int fvarChannel=0) const
| Returns the patch arrays for face-varying index buffer data. More...
GLuint | GetFVarPatchIndexBuffer (int fvarChannel=0) const
| Returns the GL index buffer containing face-varying control vertices. More...
GLuint | GetFVarPatchIndexTextureBuffer (int fvarChannel=0) const
| Returns the GL texture buffer containing face-varying control vertices. More...
GLuint | GetFVarPatchParamBuffer (int fvarChannel=0) const
| Returns the GL index buffer containing face-varying patch params. More...
GLuint | GetFVarPatchParamTextureBuffer (int fvarChannel=0) const
| Returns the GL texture buffer containing face-varying patch params. More...

## Static Public Member Functions
static GLPatchTable * | Create (Far::PatchTable const *farPatchTable, void *deviceContext=NULL)

## Protected Member Functions
| GLPatchTable ()
bool | allocate (Far::PatchTable const *farPatchTable)

## Protected Attributes
PatchArrayVector | _patchArrays
GLuint | _patchIndexBuffer
GLuint | _patchParamBuffer
GLuint | _patchIndexTexture
GLuint | _patchParamTexture
PatchArrayVector | _varyingPatchArrays
GLuint | _varyingIndexBuffer
GLuint | _varyingIndexTexture
std::vector< PatchArrayVector > | _fvarPatchArrays
std::vector< GLuint > | _fvarIndexBuffers
std::vector< GLuint > | _fvarIndexTextures
std::vector< GLuint > | _fvarParamBuffers
std::vector< GLuint > | _fvarParamTextures

## Detailed Description

Definition at line 45 of file glPatchTable.h.

## Member Typedef Documentation

## ◆ VertexBufferBinding

typedef GLuint VertexBufferBinding

Definition at line 47 of file glPatchTable.h.

## Constructor & Destructor Documentation

## ◆ ~GLPatchTable()

~GLPatchTable | ( |  | ) |

## ◆ GLPatchTable()

GLPatchTable | ( |  | ) |
| protected

## Member Function Documentation

## ◆ allocate()

bool allocate | ( | Far::PatchTable const * | farPatchTable | ) |
| protected

## ◆ Create()

static GLPatchTable* Create | ( | Far::PatchTable const * | farPatchTable,
|  | void * | deviceContext = `NULL`
| ) |  |
| static

## ◆ GetFVarPatchArrays()

PatchArrayVector const& GetFVarPatchArrays | ( | int | fvarChannel = `0` | ) | const
| inline

Returns the patch arrays for face-varying index buffer data.

Definition at line 98 of file glPatchTable.h.

## ◆ GetFVarPatchIndexBuffer()

GLuint GetFVarPatchIndexBuffer | ( | int | fvarChannel = `0` | ) | const
| inline

Returns the GL index buffer containing face-varying control vertices.

Definition at line 103 of file glPatchTable.h.

## ◆ GetFVarPatchIndexTextureBuffer()

GLuint GetFVarPatchIndexTextureBuffer | ( | int | fvarChannel = `0` | ) | const
| inline

Returns the GL texture buffer containing face-varying control vertices.

Definition at line 108 of file glPatchTable.h.

## ◆ GetFVarPatchParamBuffer()

GLuint GetFVarPatchParamBuffer | ( | int | fvarChannel = `0` | ) | const
| inline

Returns the GL index buffer containing face-varying patch params.

Definition at line 113 of file glPatchTable.h.

## ◆ GetFVarPatchParamTextureBuffer()

GLuint GetFVarPatchParamTextureBuffer | ( | int | fvarChannel = `0` | ) | const
| inline

Returns the GL texture buffer containing face-varying patch params.

Definition at line 118 of file glPatchTable.h.

## ◆ GetNumFVarChannels()

int GetNumFVarChannels | ( |  | ) | const
| inline

Returns the number of face-varying channel buffers.

Definition at line 95 of file glPatchTable.h.

## ◆ GetPatchArrays()

PatchArrayVector const& GetPatchArrays | ( |  | ) | const
| inline

Returns the patch arrays for vertex index buffer data.

Definition at line 55 of file glPatchTable.h.

## ◆ GetPatchIndexBuffer()

GLuint GetPatchIndexBuffer | ( |  | ) | const
| inline

Returns the GL index buffer containing the patch control vertices.

Definition at line 60 of file glPatchTable.h.

## ◆ GetPatchIndexTextureBuffer()

GLuint GetPatchIndexTextureBuffer | ( |  | ) | const
| inline

Returns the GL texture buffer containing the patch control vertices.

Definition at line 70 of file glPatchTable.h.

## ◆ GetPatchParamBuffer()

GLuint GetPatchParamBuffer | ( |  | ) | const
| inline

Returns the GL index buffer containing the patch parameter.

Definition at line 65 of file glPatchTable.h.

## ◆ GetPatchParamTextureBuffer()

GLuint GetPatchParamTextureBuffer | ( |  | ) | const
| inline

Returns the GL texture buffer containing the patch parameter.

Definition at line 75 of file glPatchTable.h.

## ◆ GetVaryingPatchArrays()

PatchArrayVector const& GetVaryingPatchArrays | ( |  | ) | const
| inline

Returns the patch arrays for varying index buffer data.

Definition at line 80 of file glPatchTable.h.

## ◆ GetVaryingPatchIndexBuffer()

GLuint GetVaryingPatchIndexBuffer | ( |  | ) | const
| inline

Returns the GL index buffer containing the varying control vertices.

Definition at line 85 of file glPatchTable.h.

## ◆ GetVaryingPatchIndexTextureBuffer()

GLuint GetVaryingPatchIndexTextureBuffer | ( |  | ) | const
| inline

Returns the GL texture buffer containing the varying control vertices.

Definition at line 90 of file glPatchTable.h.

## Member Data Documentation

## ◆ _fvarIndexBuffers

std::vector<GLuint> _fvarIndexBuffers
| protected

Definition at line 141 of file glPatchTable.h.

## ◆ _fvarIndexTextures

std::vector<GLuint> _fvarIndexTextures
| protected

Definition at line 142 of file glPatchTable.h.

## ◆ _fvarParamBuffers

std::vector<GLuint> _fvarParamBuffers
| protected

Definition at line 144 of file glPatchTable.h.

## ◆ _fvarParamTextures

std::vector<GLuint> _fvarParamTextures
| protected

Definition at line 145 of file glPatchTable.h.

## ◆ _fvarPatchArrays

std::vector<PatchArrayVector> _fvarPatchArrays
| protected

Definition at line 140 of file glPatchTable.h.

## ◆ _patchArrays

PatchArrayVector _patchArrays
| protected

Definition at line 128 of file glPatchTable.h.

## ◆ _patchIndexBuffer

GLuint _patchIndexBuffer
| protected

Definition at line 130 of file glPatchTable.h.

## ◆ _patchIndexTexture

GLuint _patchIndexTexture
| protected

Definition at line 133 of file glPatchTable.h.

## ◆ _patchParamBuffer

GLuint _patchParamBuffer
| protected

Definition at line 131 of file glPatchTable.h.

## ◆ _patchParamTexture

GLuint _patchParamTexture
| protected

Definition at line 134 of file glPatchTable.h.

## ◆ _varyingIndexBuffer

GLuint _varyingIndexBuffer
| protected

Definition at line 137 of file glPatchTable.h.

## ◆ _varyingIndexTexture

GLuint _varyingIndexTexture
| protected

Definition at line 138 of file glPatchTable.h.

## ◆ _varyingPatchArrays

PatchArrayVector _varyingPatchArrays
| protected

Definition at line 136 of file glPatchTable.h.

The documentation for this class was generated from the following file:

- opensubdiv/osd/glPatchTable.h